/*
 Theme Name:   Russian Woman Union (GeneratePress Child)
 Theme URI:    https://generatepress.com
 Description:  Theme for RWU, based on GeneratePress
 Author:       StartSet Ltd. (Pohabov N., Lapin A.)
 Author URI:   https://start-set.ru
 Template:     generatepress
 Version:      0.2
*/



.card-header {
	display: flex;
	gap: 4rem;
}

.card-header__image {
	min-width: fit-content;
}

.site-content {
	display: block;
}


#search-form {
	padding: 2rem 0;
}


/* Временно для снятия усталости глаз и понимания */
article {
	border: 1px solid
}

.post-image {
	width: 20%
}

/* Список карточек в поиске */
.search-result__list {
	margin: 0;
}

/* Карточка в поиске */

.card__heading,
.card {
	list-style-type: none;
    display: grid;
}

.card {
/* 	grid-template-columns: repeat(8, minmax(0px, 1fr)); */
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 0.75fr 0.75fr 1.5fr;
}

.card-cell {
	word-break: break-all;
    font-size: 1rem;
    padding: 0.5rem;
    background-color: #eee;
	border: 1px solid lightgrey;
	word-break: break-word;
}

/* .card-cell.fullname {
	word-break: break-word;
} */

li.card__heading div {
    padding: 2rem 0.5rem;
    background-color: #ddd;
	font-weight: 500;
	text-transform: uppercase;
}

/* Лишние маркеры НИНУЖНЫ */
.contacts {
	list-style-type: none;
    margin: 0;
}
.contacts-item.unset{
	text-decoration: none;
	color: #000;
	cursor: default;
}



/* Для галерей у товаров и услуг */
.gallery {
	margin: 0;
}

.gallery-box {
	display: grid;
	grid-template-columns: 1fr 1fr;
}


/* Модалка */
.modal {
	transition: .3s;
    display: none; /* Скрыть модальное окно по умолчанию */
	opacity: 0;
    position: fixed; 
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgba(0, 0, 0, 0.4); 
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
/*     width: 40%; */
    min-width: 300px;
    max-width: 700px;

    position: relative;
}

.close {
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    right: 1.25rem;
    position: absolute;
    height: 30px;
    width: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #5c5c5c;
	z-index: 1000;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}




.modal-section {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-column-gap: 2rem;
	
	border: 1px solid #afafaf;
    margin-bottom: 1rem;
	padding: 1rem;
}

.modal-section#modal-footer {
	display: block;
}

section#modal-header,
section#modal-subheader,
section#modal-content,
section#modal-footer {
	position: relative;
}




section.modal-section::before {
	position: absolute;
    display: block;
    top: -0.9rem;
    background: #fefefe;
    left: 0.5rem;
    font-weight: bold;
    padding: 0 0.5rem;
    color: #afafaf;
}

section#modal-header::before {
    content: 'ФИО и контактная информация';
}

section#modal-subheader::before {
    content: 'Общие сведения';
}

section#modal-content::before {
    content: 'Товары и услуги';
}

section#modal-footer::before {
    content: 'Описание';
}


.entity-info,
.competencies {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}


.card.card__heading {
    position: sticky;
    top: 0;
}




.search-result__list * {
	font-size: 14px;
}





.business-links ul {
    list-style: none;
    margin: 0;
}


.search__filter {
	display: flex;
	align-items: center;
	
    flex: 1 0 20%;
}

#search-form form {
	max-width: 1024px;
}


/* ul.contacts li {
	display: flex;
} */

#meta ul.contacts li::before {
    display: block;
    background: #fefefe;
    font-weight: bold;
    padding-right: 0.5rem;
    color: #afafaf;
}


/* #meta ul.contacts li[class^="contacts__"] {
    display: flex;
    justify-content: space-between;
} */

#meta ul.contacts li[class$="__phone"]::before {
    content: 'Телефон: ';
}

#meta ul.contacts li[class$="__email"]::before {
    content: 'Почта: ';
}

#meta ul.contacts li[class$="__vk"]::before {
    content: 'ВКонтакте: ';
}





@media (max-width: 768px) {
	#search-form form {;
		flex-direction: column;
/* 		width: fit-content; */
	}
	
	#search-form form .search__main-field,
	#search-form form .search__filter {
		display: flex;
		flex-direction: column;
	}
	
	#search-form form .search__filter {
		align-items: start;
	}
}



@media (max-width: 600px) {
	h2.meta__name {
		font-size: 24px;
	}
	
	.contacts {
		font-size: 16px;
	}
	
	#modal-subheader {
		grid-template-columns: 1fr;
		gap: 1rem;
	}
}

@media (max-width: 500px) {
	#modal-header {
		grid-template-columns: 1fr;
	}
}

@media (max-width: 430px) {
	#modal-subheader {
		font-size: 14px;
	}
	
	#search-form form {
		width: 100%;
	}

	section.modal-section::before {
		font-size: 14px;
	}
	
	#meta ul.contacts li[class^="contacts__"] {
		flex-direction: column;
	}
}

@media (max-width: 375px) {

}

